# Get Appointment

> GET /v1/appointments/{appointmentId}

`GET https://app.untetherlabs.com/api/v1/appointments/{appointmentId}`

## Request

```bash
curl -X GET 'https://app.untetherlabs.com/api/v1/appointments/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
  -H 'Authorization: Bearer $UNTETHER_API_KEY'
```

## Path parameters

- `appointmentId` (uuid, required)

## Response 200

- `createdAt` (string, required, example "2024-11-20T07:43:34+0000")
- `type` (string, required, example "video") — Appointment type, company specific
- `status` (AppointmentStatus, required, one of `upcoming`, `occurred`, `cancelled`, `no-show`, `re-scheduled`)
- `providerId` (uuid, required)
- `memberId` (string | null, required)
- `startDate` (string, required, example "2024-11-20T07:43:34+0000")
- `endDate` (string, required, example "2024-11-20T07:43:34+0000")
- `actualStartDate` (string | null, required, example "2024-11-20T07:43:34+0000")
- `actualEndDate` (string | null, required, example "2024-11-20T07:43:34+0000")
- `location` (string | null, required)
- `cancellationDate` (string | null, required, example "2024-11-20T07:43:34+0000") — Only present when status = `cancelled`
- `cancellationReason` (string | null, required) — Only present when status = `cancelled`

## Errors

- `validation` (400) — Input validation failed.
- `appointment-not-found` (404) — A specified appointment does not exist in the system.
